=== debian/changelog ===
soapaligner (2.20-6) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097906)
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: convert to untrackable watch file v5.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare complianct to standards version 4.7.2.
  * d/rules: simplify passing lto flags.
  * cppflags.patch: new: propagate CPPFLAGS.
    This improves binaries hardening by fortifying sources.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Oct 2025 23:00:20 +0200

soapaligner (2.20-5) unstable; urgency=medium

  * Team Upload.
  * d/p/gcc-10.patch: Fix compilation with GCC 10.
    - Thank you, Logan Rosen (Closes:  #979681)
  * Declare compliance with policy 4.5.1
  * Bump debhelper-compat version to 13

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 14 Jan 2021 17:05:45 +0530

soapaligner (2.20-4) unstable; urgency=medium

  * Team upload.
  * Homepage has vanished - point to web archive to reflect this
  * Deactivated watch file
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 11:45:00 +0200

soapaligner (2.20-3) unstable; urgency=medium

  * Team upload.
  * Architecture: any-amd64 x32
    Closes: #903003
  * More sensible date for reproducible builds (SOURCE_DATE_EPOCH)
  * Force propagation of hardening options
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 13:51:03 +0200

soapaligner (2.20-2) unstable; urgency=medium

  * Team upload.
  * Drop -msse3 from compiler options
    Closes: #902129
  * debhelper 11
  * Standards-Version: 4.1.4
  * DEP3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jun 2018 07:22:04 +0200

soapaligner (2.20-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Initial release (Closes: #669917,#897908)
    There is a version 2.21 released as a binary for
    which I failed to find the source code.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Apr 2012 22:45:08 +0200
