=== debian/control ===
Source: soapaligner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/soapaligner
Vcs-Git: https://salsa.debian.org/med-team/soapaligner.git
Homepage: https://web.archive.org/web/20190127081222/http://soap.genomics.org.cn/soapaligner.html

Package: soapaligner
Architecture: any-amd64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: aligner of short reads of next generation sequencers
 This package addresses a common problem in bioinformatics that has
 become routine now also in clinical research: the assembly and
 comparison of the very long genomic DNA sequences from many
 short reads that the machines provide.
 .
 SOAPaligner/soap2 is a member of the Short Oligonucleotide Analysis
 Package (SOAP) and an updated version of SOAP software for short
 oligonucleotide alignment (soap v1). The new program features in super
 fast and accurate alignment for huge amounts of short reads generated by
 Illumina/Solexa Genome Analyzer. Compared to soap v1, it is one order
 of magnitude faster. It require only 2 minutes aligning one million
 single-end reads onto the human reference genome. Another remarkable
 improvement of SOAPaligner is that it now supports a wide range of the
 read length.
 .
 SOAPaligner/soap2 benefitted in time and space efficiency by a revolution
 in the basic data structures and algorithms used. The core algorithms and
 the indexing data structures (2way-BWT) are developed by the algorithms
 research group of the Department of Computer Science, the University
 of Hong Kong (T.W. Lam, Alan Tam, Simon Wong, Edward Wu and S.M. Yiu).
