=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
export DH_VERBOSE=1
export DFLAGS = -DMAKE_TIME=\""SOURCE_DATE_EPOCH"\"

%:
	dh $@
