=== debian/watch ===
Version: 5
Untrackable: upstream site vanished.

Source: http://soap.genomics.org.cn/soapaligner.html
Matching-Pattern: down/SOAPaligner-v(\d[.\d]+)-src.tar.gz
